Bug 167060 - Segmentation fault at startup
Segmentation fault at startup
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: mozilla (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-29 17:25 EDT by Orion Poplawski
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-22 12:32:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2005-08-29 17:25:57 EDT
Description of problem:
On a freshly installed, up-to-date FC4 system, mozilla crashes:

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread -1208731968 (LWP 5379)]
0x0099f865 in _int_malloc () from /lib/libc.so.6
(gdb) bt
#0  0x0099f865 in _int_malloc () from /lib/libc.so.6
#1  0x009a1492 in malloc () from /lib/libc.so.6
#2  0x0012aa00 in g_malloc () from /usr/lib/libglib-2.0.so.0
#3  0x00327598 in gdk_region_offset () from /usr/lib/libgdk-x11-2.0.so.0
#4  0x003285fc in gdk_region_subtract () from /usr/lib/libgdk-x11-2.0.so.0
#5  0x00342958 in gdk_x11_gc_get_xgc () from /usr/lib/libgdk-x11-2.0.so.0
#6  0x00342d64 in gdk_x11_gc_get_xgc () from /usr/lib/libgdk-x11-2.0.so.0
#7  0x0034e487 in gdk_window_resize () from /usr/lib/libgdk-x11-2.0.so.0
#8  0x06a21058 in ?? () from /usr/lib/mozilla-1.7.10/components/libwidget_gtk2.so
#9  0x08384b00 in ?? ()
#10 0x0445a341 in ?? ()
#11 0x0445a340 in ?? ()
#12 0x03a5069f in PR_AtomicDecrement () from /usr/lib/libnspr4.so
#13 0x06a21dec in ?? () from /usr/lib/mozilla-1.7.10/components/libwidget_gtk2.so
#14 0x0834df20 in ?? ()
#15 0x0445a341 in ?? ()
#16 0x0445a340 in ?? ()
#17 0x00000000 in ?? ()


Version-Release number of selected component (if applicable):
mozilla-1.7.10-1.5.1

How reproducible:
everytime, multiple users.


Additional info:

Does not happen on other up-to-date FC4 systems.  No other system errors that I
can see.  selinux is in permissive mode.
Comment 1 Christopher Aillon 2005-08-29 18:07:05 EDT
Please twiddle the Hardware field appropriately so I know whether this is
i386,ppc, etc.
Comment 2 Christian Iseli 2007-01-22 05:17:10 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Note You need to log in before you can comment on or make changes to this bug.